package com.eactive.eai.transformer.layout;

public enum ItemDataType {
	UNKNOWN(2100), STRING(2101), INT(2102), LONG(2103), SHORT(2104), DOUBLE(2105), FLOAT(2106), CHAR(2107), BYTE(2108),
	DATE(2109), TIME(2110), TIMESTAMP(2111), NUMBER(2112), BYTEARRAY(2113), NUMERIC(2114), PACKDECIMAL(2115),
	OBJECT(2116), BOOLEAN(2117), BIGDECIMAL(2118),;

	private int number;

	ItemDataType(int number) {
		this.number = number;
	}

	public int getNumber() {
		return number;
	}

	public static ItemDataType fromNumber(int number) {
		for (ItemDataType type : ItemDataType.values()) {
			if (type.getNumber() == number) {
				return type;
			}
		}
		return UNKNOWN;
	}
}
